/* 	$Id: clist_items.h,v 1.1.1.1 2000/01/30 16:39:32 benediktroth Exp $	 */

#ifndef __PAGE_CLIST_ITEMS_H__
#define __PAGE_CLIST_ITEMS_H__

#include <gnome.h>


struct clist_items_data
{
  GtkWidget *widget; 
  GtkCList *clist; 
  gchar *string; 
};


GtkWidget *file_selection;

struct clist_items_data cda;


void get_selected_rows( GtkWidget *widget, guint **rows, guint *nb_rows );
void clist_items_sort( GtkCList *clist, gint column, gpointer user_data);

void clist_items_play( GtkWidget *widget, gpointer *data );
void clist_items_edit( GtkWidget *widget, gpointer *data );

void clist_items_rename( GtkWidget *widget, gpointer *data );
void clist_items_mass( GtkWidget *widget, gpointer *data );
void clist_items_auto( GtkWidget *widget, gpointer *data );
void clist_items_fix( GtkWidget *widget, gpointer *data );
void clist_items_xchange( GtkWidget *widget, gpointer *data );
     
void clist_items_select_filename( GtkWidget *widget, gpointer *data );
void clist_items_lf( GtkWidget *widget, GtkFileSelection *file_selection );
void clist_items_save( GtkCList *clist, gchar *filename );

void clist_items_copy_dialog( GtkWidget *widget, gpointer *data );
void clist_items_copy( GtkCList *clist, gchar *target );

void clist_items_move_dialog( GtkWidget *widget, gpointer *data );
void clist_items_move( GtkCList *clist, gchar *target );

void clist_items_delete_dialog( GtkWidget *widget, gpointer *data );
void clist_items_delete( gint reply, gpointer *data );
     
void clist_items_select_all( GtkWidget *widget, gpointer *data );
void clist_items_unselect_all( GtkWidget *widget, gpointer *data );
void clist_items_remove( GtkWidget *widget, gpointer *data );

#endif
