/* 	$Id: edit.h,v 1.1.1.1 2000/01/30 16:39:26 benediktroth Exp $	 */

#ifndef __EDIT_H__
#define __EDIT_H__

#include <gnome.h>


struct mpegfile
{
/*   char  path[BUFFERSIZE]; */
/*   char  filename[BUFFERSIZE]; */
  long  size;

  struct mpegformat_t header;

  int secs;
  int mins;

  struct id3tag tag;
}mfile;


GtkWidget *edit_browse_list;

GtkWidget *edit_file_info_filename;
GtkWidget *edit_file_info_mpeg;
GtkWidget *edit_file_info_layer;
GtkWidget *edit_file_info_mode;
GtkWidget *edit_file_info_samplerate;
GtkWidget *edit_file_info_kilobitrate;
GtkWidget *edit_file_info_duration;

GtkWidget *edit_tag_title;
GtkWidget *edit_tag_artist;
GtkWidget *edit_tag_album;
GtkWidget *edit_tag_comment;
GtkWidget *edit_tag_year;
GtkWidget *edit_tag_genre;
GList     *edit_tag_genre_list;

GtkWidget *edit_tag_title_button;
GtkWidget *edit_tag_artist_button;
GtkWidget *edit_tag_album_button;
GtkWidget *edit_tag_comment_button;
GtkWidget *edit_tag_year_button;
GtkWidget *edit_tag_genre_button;


GtkWidget *edit_box_new( );
void       edit_load_properties( void );

void       edit_browse_load( void );
void       edit_selection_made( GtkWidget *clist, gint row, gint column, GdkEventButton *event, gpointer data );

int        edit_file_load( gchar *dirandfile );
int        edit_tag_new( gint reply, gpointer *data );
int        edit_file_save( void );
void       edit_file_close( void );
int        edit_tag_remove( void );
void       edit_file_play( void );

void       edit_file_select( void );
void       edit_lf( GtkWidget *widget, GtkFileSelection *file_selection );

#endif
