/* 	$Id: explore.h,v 1.1.1.1 2000/01/30 16:39:26 benediktroth Exp $	 */

#ifndef __EXPLORE_H__
#define __EXPLORE_H__

#include <gnome.h>


GtkWidget *explore_main_clist;

GtkWidget *explore_filter_opts_exact_match;
GtkWidget *explore_filter_opts_recursive;
GtkWidget *explore_filter_opts_add;

GtkWidget *explore_filter_tag_title;
GtkWidget *explore_filter_tag_artist;
GtkWidget *explore_filter_tag_album;
GtkWidget *explore_filter_tag_comment;
GtkWidget *explore_filter_tag_year;
GtkWidget *explore_filter_tag_genre;
GList     *explore_filter_tag_genre_list=NULL;

GtkWidget *explore_filter_tag_buttons_title;
GtkWidget *explore_filter_tag_buttons_artist;
GtkWidget *explore_filter_tag_buttons_album;
GtkWidget *explore_filter_tag_buttons_comment;
GtkWidget *explore_filter_tag_buttons_year;
GtkWidget *explore_filter_tag_buttons_genre;


GtkWidget *explore_box_new( );
void       explore_load_properties( void );
void       explore_use_field_button_toggled( GtkWidget *widget, gchar *data );
void       explore_display_results( void );
void       explore_results_calculate_statistics( void );

int        explore_start( void );
void       explore_go( gchar *rootdir, gchar *dir, gint depth, gboolean recursive, gboolean exact_match, struct id3tag tag, FILE *file );

void explore_directory_select( void );
void explore_lf( GtkWidget *widget, GtkFileSelection *file_selection );
void explore_directory_load( gchar *dirname );

#endif
