/* 	$Id: playlists.h,v 1.1.1.1 2000/01/30 16:39:32 benediktroth Exp $	 */

#ifndef __PLAYLISTS_H__
#define __PLAYLISTS_H__

#include <gnome.h>


GtkWidget *playlists_directory;

GSList *playlists_buttons_group1;
GSList *playlists_buttons_group2;

GtkWidget *playlists_buttons_one;
GtkWidget *playlists_buttons_all;
GtkWidget *playlists_buttons_sub;
GtkWidget *playlists_buttons_remove;
GtkWidget *playlists_buttons_ultra;

GtkWidget *playlists_buttons_relative;
GtkWidget *playlists_buttons_absolute;
GtkWidget *playlists_buttons_playlist_name;

GtkWidget *playlists_playlist_name;

GtkWidget *playlists_box_new( );
void       playlists_load_properties( void );
void       playlists_use_filename_toggled( GtkWidget *widget, gpointer *data );

void playlists_directory_select( void );
void playlists_lf( GtkWidget *widget, GtkFileSelection *file_selection );
void playlists_directory_load( gchar *dirname );

void playlists_all( GtkWidget *widget, gpointer *data );
void playlists_start( );

void playlists_clean_up( gchar *dir, gint depth, gboolean recursive, gchar *filename, gchar *what );
void playlists_go( gchar *dir, gint depth, gboolean recursive, gboolean relative, gchar playlist[] );
void playlists_go_all( gchar *rootdir, gchar *dir, gint depth, gboolean recursive, gboolean relative, FILE *file );

#endif
