/* 	$Id: sort.h,v 1.1.1.1 2000/01/30 16:39:20 benediktroth Exp $	 */

#ifndef __SORT_H__
#define __SORT_H__

#include <gnome.h>


GtkWidget *sort_directory_source;
GtkWidget *sort_directory_target;
GtkWidget *sort_button_recursive;

GtkWidget *sort_task_sort;
GtkWidget *sort_task_unsort;

GtkWidget *sort_level1;
GList     *sort_level1_list=NULL;
GtkWidget *sort_level2;
GList     *sort_level2_list=NULL;


GtkWidget *sort_box_new( );
void       sort_load_properties( void );
void       sort_task_switched( GtkWidget *widget, gpointer *data );

void       sort_start( void );

void       sort_go( gchar *rootdir, gchar *dir, gint depth, gboolean recursive, gchar *format_level1, gchar *format_level2);

void       unsort_go( gchar *rootdir, gchar *dir, gint depth, gboolean recursive );
void       unsort_go2( gchar *dir );

void sort_directory_select( void );
void sort_lf( GtkWidget *widget, GtkFileSelection *file_selection );
void sort_directory_load( gchar *dirname );

void sort_directory_select2( void );
void sort_lf2( GtkWidget *widget, GtkFileSelection *file_selection );
void sort_directory_load2( gchar *dirname );

#endif
