/* 	$Id: xchange.h,v 1.1.1.1 2000/01/30 16:39:14 benediktroth Exp $	 */

#ifndef __XCHANGE_H__
#define __XCHANGE_H__

#include <gnome.h>


GtkWidget *xchange_directory;

GtkWidget *xchange_tag1_title;
GtkWidget *xchange_tag1_artist;
GtkWidget *xchange_tag1_album;
GtkWidget *xchange_tag1_comment;
GtkWidget *xchange_tag1_year;
GtkWidget *xchange_tag1_genre;
GList     *xchange_tag1_genre_list;

GtkWidget *xchange_tag2_title;
GtkWidget *xchange_tag2_artist;
GtkWidget *xchange_tag2_album;
GtkWidget *xchange_tag2_comment;
GtkWidget *xchange_tag2_year;
GtkWidget *xchange_tag2_genre;
GList     *xchange_tag2_genre_list;

GtkWidget *xchange_buttons_recursive;
GtkWidget *xchange_buttons_exact_match;

GtkWidget *xchange_tag1_title_button;
GtkWidget *xchange_tag1_artist_button;
GtkWidget *xchange_tag1_album_button;
GtkWidget *xchange_tag1_comment_button;
GtkWidget *xchange_tag1_year_button;
GtkWidget *xchange_tag1_genre_button;

GtkWidget *xchange_tag2_title_button;
GtkWidget *xchange_tag2_artist_button;
GtkWidget *xchange_tag2_album_button;
GtkWidget *xchange_tag2_comment_button;
GtkWidget *xchange_tag2_year_button;
GtkWidget *xchange_tag2_genre_button;


GtkWidget *xchange_box_new( );
void       xchange_load_properties( void );
void       xchange_write_field_button_toggled( GtkWidget *widget, gchar *data );
struct id3tag xchange_get_tag1( void );
struct id3tag xchange_get_tag2( void );
void       xchange_start( );

void xchange_directory_select( void );
void xchange_lf( GtkWidget *widget, GtkFileSelection *file_selection );
void xchange_directory_load( gchar *dirname );
void xchange_go( gchar *dir, gint depth, gboolean recursive, gboolean exact_match, struct id3tag tag1, struct id3tag tag2 );

#endif
