/* Taken from:
 * freezetag - id3 Editor for Linux
 * Copyright (C), 1999, Jeremy Katz <katzj@linuxpower.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 * USA.
 */

#ifndef DIRBROWSER_H
#define DIRBROWSER_H

#include <gtk/gtk.h>
#include <gdk/gdkx.h>
#include <dirent.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>

#include "yamt.h"


GtkWidget *create_dir_browser(gchar *current_path, GtkWidget *parent);

GtkWidget *tree;

typedef struct
{
        gboolean scanned;
        gchar *path;
} DirNode;


#endif
