/* 	$Id: mass.h,v 1.1.1.1 2000/01/30 16:39:14 benediktroth Exp $	 */

#ifndef __MASS_H__
#define __MASS_H__

#include <gnome.h>


GtkWidget *mass_directory;
GtkWidget *mass_buttons_recursive;

GtkWidget *mass_tag_title;
GtkWidget *mass_tag_artist;
GtkWidget *mass_tag_album;
GtkWidget *mass_tag_comment;
GtkWidget *mass_tag_year;
GtkWidget *mass_tag_genre;
GList     *mass_tag_genre_list;

GtkWidget *mass_tag_title_button;
GtkWidget *mass_tag_artist_button;
GtkWidget *mass_tag_album_button;
GtkWidget *mass_tag_comment_button;
GtkWidget *mass_tag_year_button;
GtkWidget *mass_tag_genre_button;


GtkWidget *mass_box_new( );
void       mass_load_properties( void );
void       mass_write_field_button_toggled( GtkWidget *widget, gchar *data );
struct id3tag mass_get_tag( void );
void       mass_start( );

void mass_directory_select( void );
void mass_lf( GtkWidget *widget, GtkFileSelection *file_selection );
void mass_directory_load( gchar *dirname );
void mass_go( gchar *dir, gint depth, gboolean recursive, struct id3tag tag );

#endif
