/* I don't know what's the License for this file, I sent Michiel Bronswijk a email,
                       but I didn't get any response yet. */

                /* This file is taken from the program mp3studio
                   by Sander Steffann & Michiel Bronswijk ! */
   
/* *** mpeg_format ***
   *** Filename: mpeg_format.h
   *** History: 19980111 Ver 1.00 | Michiel Bronswijk
   ***          19980112 Ver 1.01 | Michiel Bronswijk
   ***          19980115 Ver 1.02 | Michiel Bronswijk
   ***          19980225 Release version 1.00
   *** Description: C-header file for mpeg_format.c
   *** Changes: Ver 1.01 : used ISO source for frame header
   ***          Ver 1.02 : added framesize to mpegformat_t
 */

#ifndef MPEG_FORMAT_H

#define MPEG_FORMAT_H

/* mpegGetFormat return type */
struct mpegformat_t
  {
    signed int version;
    unsigned char layer;
    unsigned int kilobitrate;
    unsigned int samplerate;
    unsigned char channels;
    double framesize;
    /* ! next two fields are not filled in by mpegGetFormat */
    int totalframes;
    int duration;
  };

#define SINGLE_CHANNEL		3
#define DUAL_CHANNEL		2
#define JOINT_STEREO		1
#define STEREO			0

#define MPEG_HEADER_LENGTH	4

/*      mpegGetFormat
   Returns format information for the MPEG bitstream that should
   be present in buf */
void mpegGetFormat (const void *buf, struct mpegformat_t *returnformat);

#endif
